### Method

# EBookContacts BookIndices copy

since: 3.50

#### Declaration [src]

    EBookIndices*
    e_book_indices_copy (
      const EBookIndices* src
    )

#### Description [src]

Creates a copy of the `src`. If the %src is `NULL`, the `NULL` is returned. Both the `src` and the returned array is terminated by an item, which has the chr member set to `NULL`.

Free the returned array with e_book_indices_free(), when no longer needed.

Available since: 3.50

This method is not directly available to language bindings.

#### Parameters

`src`

  Type: `EBookIndices`

  An array of `EBookIndices` to copy, or `NULL`.

  The argument can be `NULL`.

#### Return value

Type: `EBookIndices`

Copy of the `src`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.